Subject: Re: [iccrg] New Version Notification for draft-cardwell-iccrg-bbr-congestion-control-01.txt

From: Neal Cardwell <[email-masked]>
Date: Mon, 8 Nov 2021 00:04:00 -0500

Hi ICCRG folks,

Posting this for discussion at tomorrow's ICCRG session and beyond.
Feedback welcome!

Thanks!
neal

On Sun, Nov 7, 2021 at 11:58 PM <[email-masked]> wrote:

>
> A new version of I-D, draft-cardwell-iccrg-bbr-congestion-control-01.txt
> has been successfully submitted by Neal Cardwell and posted to the
> IETF repository.
>
> Name:           draft-cardwell-iccrg-bbr-congestion-control
> Revision:       01
> Title:          BBR Congestion Control
> Document date:  2021-11-08
> Group:          Individual Submission
> Pages:          66
> URL:
> https://www.ietf.org/archive/id/draft-cardwell-iccrg-bbr-congestion-control-01.txt
> Status:
> https://datatracker.ietf.org/doc/draft-cardwell-iccrg-bbr-congestion-control/
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-cardwell-iccrg-bbr-congestion-control
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-cardwell-iccrg-bbr-congestion-control-01
>
> Abstract:
>    This document specifies the BBR congestion control algorithm.  BBR
>    ("Bottleneck Bandwidth and Round-trip propagation time") uses recent
>    measurements of a transport connection's delivery rate, round-trip
>    time, and packet loss rate to build an explicit model of the network
>    path.  BBR then uses this model to control both how fast it sends
>    data and the maximum volume of data it allows in flight in the
>    network at any time.  Relative to loss-based congestion control
>    algorithms such as Reno [RFC5681] or CUBIC [RFC8312], BBR offers
>    substantially higher throughput for bottlenecks with shallow buffers
>    or random losses, and substantially lower queueing delays for
>    bottlenecks with deep buffers (avoiding "bufferbloat").  BBR can be
>    implemented in any transport protocol that supports packet-delivery
>    acknowledgment.  Thus far, open source implementations are available
>    for TCP [RFC793] and QUIC [RFC9000].  This document specifies version
>    2 of the BBR algorithm, also sometimes referred to as BBRv2 or bbr2.
>
>
>
>
> The IETF Secretariat
>
>
>